# GESUriClip

Represents all the output streams from a particular uri. It is assumed that the URI points to a file of some type.

## GESUriClip

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESContainer
                    ╰──GESClip
                        ╰──GESSourceClip
                            ╰──GESUriClip

### Members

`parent` (GESSourceClip) –
No description available

### Class structure

#### GESUriClipClass

### GES.UriClipClass

## GES.UriClip

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Clip
                        ╰──GES.SourceClip
                            ╰──GES.UriClip

### Members

`parent` (GES.SourceClip) –
No description available

## GES.UriClip

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Clip
                        ╰──GES.SourceClip
                            ╰──GES.UriClip

### Members

`parent` (GES.SourceClip) –
No description available

### Constructors

#### ges_uri_clip_new

    GESUriClip *
    ges_uri_clip_new (const gchar * uri)

Creates a new GESUriClip for the provided uri.

> WARNING: This function might 'discover` uri synchrounously, it is an IO and processing intensive task that you probably don't want to run in an application mainloop. Have a look at ges_asset_request_async to see how to make that operation happen asynchronously.

Parameters:

`uri` –

the URI the source should control

Returns ( [transfer: floating][nullable]) –

The newly created GESUriClip, or NULL if there was an error.

#### GES.UriClip.prototype.new

    function GES.UriClip.prototype.new(uri: String): {
        // javascript wrapper for 'ges_uri_clip_new'
    }

Creates a new GES.UriClip for the provided uri.

> WARNING: This function might 'discover` uri synchrounously, it is an IO and processing intensive task that you probably don't want to run in an application mainloop. Have a look at GES.Asset.prototype.request_async to see how to make that operation happen asynchronously.

Parameters:

`uri` (String) –

the URI the source should control

Returns (GES.UriClip) –

The newly created GES.UriClip, or null if there was an error.

#### GES.UriClip.new

    def GES.UriClip.new (uri):
        #python wrapper for 'ges_uri_clip_new'

Creates a new GES.UriClip for the provided uri.

> WARNING: This function might 'discover` uri synchrounously, it is an IO and processing intensive task that you probably don't want to run in an application mainloop. Have a look at GES.Asset.request_async to see how to make that operation happen asynchronously.

Parameters:

`uri` (str) –

the URI the source should control

Returns (GES.UriClip) –

The newly created GES.UriClip, or None if there was an error.

### Methods

#### ges_uri_clip_get_uri

    const gchar *
    ges_uri_clip_get_uri (GESUriClip * self)

Get the location of the resource.

Parameters:

`self` –

the GESUriClip

Returns –

The location of the resource.

#### GES.UriClip.prototype.get_uri

    function GES.UriClip.prototype.get_uri(): {
        // javascript wrapper for 'ges_uri_clip_get_uri'
    }

Get the location of the resource.

Parameters:

`self` (GES.UriClip) –

the GES.UriClip

Returns (String) –

The location of the resource.

#### GES.UriClip.get_uri

    def GES.UriClip.get_uri (self):
        #python wrapper for 'ges_uri_clip_get_uri'

Get the location of the resource.

Parameters:

`self` (GES.UriClip) –

the GES.UriClip

Returns (str) –

The location of the resource.

#### ges_uri_clip_is_image

    gboolean
    ges_uri_clip_is_image (GESUriClip * self)

Lets you know if self is an image or not.

Parameters:

`self` –

the GESUriClip

Returns –

TRUE if self is a still image FALSE otherwise.

#### GES.UriClip.prototype.is_image

    function GES.UriClip.prototype.is_image(): {
        // javascript wrapper for 'ges_uri_clip_is_image'
    }

Lets you know if self is an image or not.

Parameters:

`self` (GES.UriClip) –

the GES.UriClip

Returns (Number) –

true if self is a still image false otherwise.

#### GES.UriClip.is_image

    def GES.UriClip.is_image (self):
        #python wrapper for 'ges_uri_clip_is_image'

Lets you know if self is an image or not.

Parameters:

`self` (GES.UriClip) –

the GES.UriClip

Returns (bool) –

True if self is a still image False otherwise.

#### ges_uri_clip_is_muted

    gboolean
    ges_uri_clip_is_muted (GESUriClip * self)

Lets you know if the audio track of self is muted or not.

Parameters:

`self` –

the GESUriClip

Returns –

TRUE if the audio track of self is muted, FALSE otherwise.

#### GES.UriClip.prototype.is_muted

    function GES.UriClip.prototype.is_muted(): {
        // javascript wrapper for 'ges_uri_clip_is_muted'
    }

Lets you know if the audio track of self is muted or not.

Parameters:

`self` (GES.UriClip) –

the GES.UriClip

Returns (Number) –

true if the audio track of self is muted, false otherwise.

#### GES.UriClip.is_muted

    def GES.UriClip.is_muted (self):
        #python wrapper for 'ges_uri_clip_is_muted'

Lets you know if the audio track of self is muted or not.

Parameters:

`self` (GES.UriClip) –

the GES.UriClip

Returns (bool) –

True if the audio track of self is muted, False otherwise.

#### ges_uri_clip_set_is_image

    ges_uri_clip_set_is_image (GESUriClip * self,
                               gboolean is_image)

Sets whether the clip is a still image or not.

Parameters:

`self` –

the GESUriClip

`is_image` –

TRUE if self is a still image, FALSE otherwise

#### GES.UriClip.prototype.set_is_image

    function GES.UriClip.prototype.set_is_image(is_image: Number): {
        // javascript wrapper for 'ges_uri_clip_set_is_image'
    }

Sets whether the clip is a still image or not.

Parameters:

`self` (GES.UriClip) –

the GES.UriClip

`is_image` (Number) –

true if self is a still image, false otherwise

#### GES.UriClip.set_is_image

    def GES.UriClip.set_is_image (self, is_image):
        #python wrapper for 'ges_uri_clip_set_is_image'

Sets whether the clip is a still image or not.

Parameters:

`self` (GES.UriClip) –

the GES.UriClip

`is_image` (bool) –

True if self is a still image, False otherwise

#### ges_uri_clip_set_mute

    ges_uri_clip_set_mute (GESUriClip * self,
                           gboolean mute)

Sets whether the audio track of this clip is muted or not.

Parameters:

`self` –

the GESUriClip on which to mute or unmute the audio track

`mute` –

TRUE to mute self audio track, FALSE to unmute it

#### GES.UriClip.prototype.set_mute

    function GES.UriClip.prototype.set_mute(mute: Number): {
        // javascript wrapper for 'ges_uri_clip_set_mute'
    }

Sets whether the audio track of this clip is muted or not.

Parameters:

`self` (GES.UriClip) –

the GES.UriClip on which to mute or unmute the audio track

`mute` (Number) –

true to mute self audio track, false to unmute it

#### GES.UriClip.set_mute

    def GES.UriClip.set_mute (self, mute):
        #python wrapper for 'ges_uri_clip_set_mute'

Sets whether the audio track of this clip is muted or not.

Parameters:

`self` (GES.UriClip) –

the GES.UriClip on which to mute or unmute the audio track

`mute` (bool) –

True to mute self audio track, False to unmute it

### Properties

#### is-image

    “is-image” gboolean

Whether this uri clip represents a still image or not. This must be set before create_track_elements is called.

Flags : Read / Write / Construct

#### is-image

    “is-image” Number

Whether this uri clip represents a still image or not. This must be set before create_track_elements is called.

Flags : Read / Write / Construct

#### is_image

    “self.props.is_image” bool

Whether this uri clip represents a still image or not. This must be set before create_track_elements is called.

Flags : Read / Write / Construct

#### mute

    “mute” gboolean

Whether the sound will be played or not.

Flags : Read / Write / Construct

#### mute

    “mute” Number

Whether the sound will be played or not.

Flags : Read / Write / Construct

#### mute

    “self.props.mute” bool

Whether the sound will be played or not.

Flags : Read / Write / Construct

#### supported-formats

    “supported-formats” GESTrackType *

Flags : Read / Write / Construct

#### supported-formats

    “supported-formats” GES.TrackType

Flags : Read / Write / Construct

#### supported_formats

    “self.props.supported_formats” GES.TrackType

Flags : Read / Write / Construct

#### uri

    “uri” gchar *

The location of the file/resource to use.

Flags : Read / Write / Construct Only

#### uri

    “uri” String

The location of the file/resource to use.

Flags : Read / Write / Construct Only

#### uri

    “self.props.uri” str

The location of the file/resource to use.

Flags : Read / Write / Construct Only

## Constants

### GES_TYPE_URI_CLIP

    #define GES_TYPE_URI_CLIP ges_uri_clip_get_type()

The results of the search are